# norootforbuild

%bcond_with debug

%define apxs /usr/sbin/apxs2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define sessiondb /var/lib/apache2/mod_auth_openid_sessions.db

Name:         apache2-mod_auth_openid
Version:      0.6
Release:      6.7
Summary:      OpenID Module for Apache
URL:          http://trac.butterfat.net/public/mod_auth_openid/
License:      MIT
Group:        Productivity/Networking/Web/Servers
Source:       http://butterfat.net/releases/mod_auth_openid/mod_auth_openid-%{version}.tar.gz
Patch1:       fix_modulename.patch
Patch2:       mod_auth_openid-0.6-tmp.diff
Patch3:       mod_auth_openid-0.6-quoteplus.diff
Patch4:       fixed-post-handling-data.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildRequires: apache2-devel gcc-c++
%if 0%{?suse_version} >= 1130
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(libopkele)
BuildRequires: pkgconfig(libcurl)
%else
BuildRequires: sqlite3-devel libopkele-devel libcurl-devel libuuid-devel
%endif
BuildRequires: pkgconfig pcre-devel libtidy-devel

%description
mod_auth_openid is an authentication module for the Apache 2
webserver. It handles the functions of an OpenID consumer as
specified in the OpenID 2.0 specification. 



Authors:
------- 
bmuller <bmuller@butterfat.net>

%prep
%setup -q -n "mod_auth_openid-%{version}"
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
autoreconf
%configure \
	--with-db-location=%{sessiondb} \
%if %{with debug}
	--enable-debug \
%endif

%__make %{?jobs:-j%jobs}

%install
%{__install} -D -m0755 .libs/mod_auth_openid.so %{buildroot}/%{apache_libexecdir}/mod_auth_openid.so
install -D -m 600 /dev/null %{buildroot}%{sessiondb}

%post
install -D -m 600 -o wwwrun -g root /dev/null %{sessiondb}

%clean
%{__rm} -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README UPGRADE
%{_libdir}/apache2/mod_auth_openid.so
%ghost %attr(600,wwwrun,root) %sessiondb

%changelog
* Sat Mar  5 2011 draht@suse.de
- pkgconfig BuildRequires don't work for < 11.3. Work around in spec
* Tue Feb 22 2011 lnussel@suse.de
- new version 0.6
- don't put session db in /tmp
* Wed Jun 23 2010 hanke@rzg.mpg.de
- update to version 0.5
* Mon Feb  1 2010 hanke@rzg.mpg.de
- initial build
